<?php
/**
 * Redicl class.
 *
 * @package           Redicl
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * Redicl class.
 */
class Redicl {

	/**
	 * Holds the class instance.
	 *
	 * @var Redicl $instance
	 */
	private static $instance = null;

	/**
	 * Return an instance of the class
	 *
	 * Return an instance of the Redicl Class.
	 *
	 * @return Redicl class instance.
	 * @since 1.0.0
	 */
	public static function get_instance() {
		if ( null === self::$instance ) {
			self::$instance = new self();
		}

		return self::$instance;
	}

	/**
	 * Class initializer.
	 */
	public function load() {
		Redicl\Core\Loader::instance();
	}
}
